> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Producer Lyrics



## OpenAPI

````yaml /openapi/producer.json post /producer/lyrics
openapi: 3.0.0
info:
  title: Producer Music Generation
  version: 1.0.0
  description: API reference for Producer Music Generation on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /producer/lyrics:
    post:
      summary: Producer Lyrics
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
            type: string
          required: false
          description: Producer Lyrics Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - prompt
              properties:
                prompt:
                  type: object
                  example: A song about winter
                  description: Producer Lyrics Prompt
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    text: |-
                      [Verse]
                      Snow is falling, all around
                      Children playing, having fun
                      It's the season, filled with cheer
                      Can you feel the magic near? (ooh-yeah)

                      [Verse 2]
                      Lights are twinkling, on the tree
                      Fireplace crackling, warmth and glee
                      Love is shared, with friends and kin
                      Let the celebrations begin! (oh-oh-oh)

                      [Chorus]
                      Dashing through the snow (hey)
                      In a one-horse open sleigh
                      Over fields we go (go)
                      Laughing all the way (ha haha)
                      Bells on bobtail ring (ring)
                      Making spirits bright (bright)
                      What fun it is to ride and sing
                      A sleighing song tonight! (yeah-yeah)
                    title: Winter Wonderland
                    status: complete
                  success: true
                properties:
                  data:
                    type: object
                    description: Producer Lyrics Response 200 Data
                    properties:
                      text:
                        type: string
                        description: Producer Lyrics Response 200 Data Text
                      title:
                        type: string
                        description: Producer Lyrics Response 200 Data Title
                      status:
                        type: string
                        description: Producer Lyrics Response 200 Data Status
                  success:
                    type: boolean
                    description: Producer Lyrics Response 200 Success
          description: Producer Lyrics Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Producer Lyrics Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: Producer Lyrics Response 400 Error Message
                      trace_id:
                        type: string
                        description: Producer Lyrics Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: Producer Lyrics Response 400 Error Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: Producer Lyrics Response 400 Error Message 2
                      trace_id:
                        type: string
                        description: Producer Lyrics Response 400 Trace Id 2
                  - type: object
                    example:
                      error:
                        code: disabled
                        message: >-
                          Your application has been disabled by Ace Data Cloud
                          due to abnormal usage behavior, please contact our
                          support to get more information.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: disabled
                            description: Producer Lyrics Response 400 Error Code 3
                          message:
                            type: string
                            example: >-
                              Your application has been disabled by Ace Data
                              Cloud due to abnormal usage behavior, please
                              contact our support to get more information.
                            description: Producer Lyrics Response 400 Error Message 3
                      trace_id:
                        type: string
                        description: Producer Lyrics Response 400 Trace Id 3
                  - type: object
                    example:
                      error:
                        code: bad_request
                        message: model is invalid.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: bad_request
                            description: Producer Lyrics Response 400 Error Code 4
                          message:
                            type: string
                            example: model is invalid.
                            description: Producer Lyrics Response 400 Error Message 4
                      trace_id:
                        type: string
                        description: Producer Lyrics Response 400 Trace Id 4
                  - type: object
                    example:
                      error:
                        code: no_token
                        message: No token specified for the request.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: no_token
                            description: Producer Lyrics Response 400 Error Code 5
                          message:
                            type: string
                            example: No token specified for the request.
                            description: Producer Lyrics Response 400 Error Message 5
                      trace_id:
                        type: string
                        description: Producer Lyrics Response 400 Trace Id 5
          description: Producer Lyrics Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Producer Lyrics Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Producer Lyrics Response 401 Error Message
                      trace_id:
                        type: string
                        description: Producer Lyrics Response 401 Trace Id
                  - type: object
                    example:
                      error:
                        code: token_expired
                        message: token expired.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_expired
                            description: Producer Lyrics Response 401 Error Code 2
                          message:
                            type: string
                            example: token expired.
                            description: Producer Lyrics Response 401 Error Message 2
                      trace_id:
                        type: string
                        description: Producer Lyrics Response 401 Trace Id 2
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: token and api does not match.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Producer Lyrics Response 401 Error Code 3
                          message:
                            type: string
                            example: token and api does not match.
                            description: Producer Lyrics Response 401 Error Message 3
                      trace_id:
                        type: string
                        description: Producer Lyrics Response 401 Trace Id 3
          description: Producer Lyrics Response 401
        '403':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: used_up
                        message: >-
                          Your balance is not sufficient for current request,
                          please buy more in Ace Data Cloud.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: used_up
                            description: Producer Lyrics Response 403 Error Code
                          message:
                            type: string
                            example: >-
                              Your balance is not sufficient for current
                              request, please buy more in Ace Data Cloud.
                            description: Producer Lyrics Response 403 Error Message
                      trace_id:
                        type: string
                        description: Producer Lyrics Response 403 Trace Id
          description: Producer Lyrics Response 403
        '404':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: no_api
                        message: API does not exist, please make sure url is correct.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: no_api
                            description: Producer Lyrics Response 404 Error Code
                          message:
                            type: string
                            example: >-
                              API does not exist, please make sure url is
                              correct.
                            description: Producer Lyrics Response 404 Error Message
                      trace_id:
                        type: string
                        description: Producer Lyrics Response 404 Trace Id
          description: Producer Lyrics Response 404
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Producer Lyrics Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: Producer Lyrics Response 429 Error Message
                      trace_id:
                        type: string
                        description: Producer Lyrics Response 429 Trace Id
          description: Producer Lyrics Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Producer Lyrics Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Producer Lyrics Response 500 Error Message
                      trace_id:
                        type: string
                        description: Producer Lyrics Response 500 Trace Id
          description: Producer Lyrics Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````